%define name abuledu-calcul_reflechi
%define version 0.0.1
%define release 1
%define execname mathoeuf.tcl
%define execpublicname mathoeuf
%define abuledu_dest /usr/share/abuledu/applications

Summary: Calcul reflechi: Apprentissage des nombres
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_david/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.0, tk > 8.0
Requires: tcl > 8.0, tk > 8.0

%description
 "Calcul Reflechi"  est  un logiciel  de  mathmatiques destin aux cycles elementaires 2 et 3. 

Le logiciel se compose :
  * d'un diteur permettant de crer des activites qui constituent les exercices qui
    sont mis  la disposition des enfants
  * de plusieurs modules de jeux
    
Contacts : davidlucardi@aol.com et dev@abuledu.org

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur
chmod 755 *.tcl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{execpublicname}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
# si le groupe profs existe on l'utilise
TESTG=`getent group | grep "profs:"` || true
if [ -n "${TESTG}" ]; then
  chmod 3775 %{abuledu_dest}/%{name}/reglages -R
  chown :profs %{abuledu_dest}/%{name}/reglages -R
fi

# si l'utilisateur abuladmin existe on lui donne le rpertoire
# de rglages
TESTU=`getent passwd | grep abuladmin` || true
if [ -n "${TESTU}" ]; then
  chown abuladmin %{abuledu_dest}/%{name}/reglages -R
fi

%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.install
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
%attr(755, leterrier, root) /var/leterrier/%{execpublicname}

%changelog

* Thu Aug 24 2006 David Lucardi <davidlucardi@aol.com> 0.0.1-1
- Premiere version
